#!/bin/sh
echo 'name: cmdlib
version: 0.3.5
id: cmdlib-0.3.5-20e16a1ba3f1ccb484051cbdce4f868a

license: BSD3
copyright:
maintainer: me@mornfall.net
stability:
homepage:
package-url:
synopsis: a library for command line parsing & online help
description: A commandline parsing library, based on getopt. Comes with a
             powerful attribute system. Supports complex interfaces with many
             options and commands, with option & command grouping, with simple
             and convenient API. Even though quite powerful, it strives to keep
             simple things simple. The library uses "System.Console.GetOpt" as
             its backend.
             .
             In comparison to the other commandline handling libraries:
             .
             Compared to cmdargs, cmdlib has a pure attribute system and is
             based on GetOpt for help formatting & argument parsing. Cmdlib may
             also be more extendable due to typeclass design, and can use
             user-supplied types for option arguments.
             .
             Cmdargs >= 0.4 can optionally use a pure attribute system,
             although this is clearly an add-on and the API is a second-class
             citizen in relation to the impure version.
             .
             GetOpt and parseargs both require explicit flag representation, so
             they live a level below cmdlib. GetOpt is in fact used as a
             backend by cmdlib.
category: System
author: Petr Rockai
pkgpath: devel/hs-cmdlib
exposed: True
exposed-modules: System.Console.CmdLib
hidden-modules: System.Console.CmdLib.Attribute
                System.Console.CmdLib.Flag System.Console.CmdLib.Command
                System.Console.CmdLib.ADTs System.Console.CmdLib.Record
trusted: False
import-dirs: /usr/local/lib/ghc/cmdlib-0.3.5
library-dirs: /usr/local/lib/ghc/cmdlib-0.3.5
hs-libraries: HScmdlib-0.3.5
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.6.0.1-6b06c3defb20732cfd08deb8ba52ca7c
         mtl-2.1.2-94c72af955e94b8d7b2f359dadd0cb62
         split-0.2.2-9ce33138f4fcfb9c37f6e6c300bcc367
         syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8
         transformers-0.3.0.0-ff2bb6ac67241ebb987351a3db564af0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-cmdlib-0.3.5/html/cmdlib.haddock
haddock-html: /usr/local/share/doc/hs-cmdlib-0.3.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
